Debian Bug report logs - #221243
aalib divergence: typo in aacurkbd.c and aastdin.c

Package: aalib; Maintainer for aalib is Gergely Nagy <algernon@madhouse-project.org>;

Reported by: Sam Hocevar <sam@zoy.org>

Date: Mon, 17 Nov 2003 14:03:02 UTC

Severity: normal

Tags: upstream

Done: Bart Martens <bartm@knars.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aalib: typo in aacurkbd.c and aastdin.c
Date: Mon, 17 Nov 2003 14:47:42 +0100
Package: aalib
Severity: normal
Tags: upstream

   The files aacurkbd.c and aastdin.c have a switch case for KEY_MOUSE
but the #ifdef is for KEY_MOUDE, which means the code is never
activated. The fix is trivial, just replace KEY_MOUDE with KEY_MOUSE :-)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux c18 2.4.21-rc5 #2 Wed May 28 22:10:14 CEST 2003 i686
Locale: LANG=C, LC_CTYPE=fr_FR




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 221243@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Sam Hocevar <sam@zoy.org>, 221243@bugs.debian.org
Subject: Re: Bug#221243: aalib: typo in aacurkbd.c and aastdin.c
Date: Tue, 18 Nov 2003 18:50:08 -0500
[Message part 1 (text/plain, inline)]
Sam Hocevar wrote:
>    The files aacurkbd.c and aastdin.c have a switch case for KEY_MOUSE
> but the #ifdef is for KEY_MOUDE, which means the code is never
> activated. The fix is trivial, just replace KEY_MOUDE with KEY_MOUSE :-)

Since you seem to be familiar with this part of the code -- and I'm not
-- could you tell me what this KEY_MOUSE stuff does, and what enables
the ifdef?

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #15 received at 221243@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Joey Hess <joeyh@debian.org>
Cc: 221243@bugs.debian.org
Subject: Re: Bug#221243: aalib: typo in aacurkbd.c and aastdin.c
Date: Wed, 19 Nov 2003 11:34:49 +0100
On Tue, Nov 18, 2003, Joey Hess wrote:
> >    The files aacurkbd.c and aastdin.c have a switch case for KEY_MOUSE
> > but the #ifdef is for KEY_MOUDE, which means the code is never
> > activated. The fix is trivial, just replace KEY_MOUDE with KEY_MOUSE :-)
> 
> Since you seem to be familiar with this part of the code -- and I'm not
> -- could you tell me what this KEY_MOUSE stuff does, and what enables
> the ifdef?

   It enables mouse handling when runing inside a terminal. It is done
by ncurses who puts the terminal in a special mode, and the ifdef is
enabled by <curses.h>. However the curses driver is not activated in the
Debian packages. Would you consider adding --with-curses-driver to the
configure line? Upstream prefer slang over ncurses for speed reasons
(and they are right) but ncurses is the only way to have mouse support
in an X terminal for instance.

   FYI, I am successfully using packages built with --with-curses-driver
and with s/KEY_MOUDE/KEY_MOUSE/ mouse support works.

Regards,
-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 221243@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Sam Hocevar <sam@zoy.org>
Cc: 221243@bugs.debian.org
Subject: Re: Bug#221243: aalib: typo in aacurkbd.c and aastdin.c
Date: Wed, 19 Nov 2003 16:55:38 -0500
[Message part 1 (text/plain, inline)]
Sam Hocevar wrote:
>    It enables mouse handling when runing inside a terminal. It is done
> by ncurses who puts the terminal in a special mode, and the ifdef is
> enabled by <curses.h>. However the curses driver is not activated in the
> Debian packages. Would you consider adding --with-curses-driver to the
> configure line? Upstream prefer slang over ncurses for speed reasons
> (and they are right) but ncurses is the only way to have mouse support
> in an X terminal for instance.
>
>    FYI, I am successfully using packages built with --with-curses-driver
> and with s/KEY_MOUDE/KEY_MOUSE/ mouse support works.

Ah, I had intended for it to be linked with curses support all along,
and in fact it links in ncurses, but has the driver disabled in
preference to slang. I will fix this.

You should send your KEY_MOUDE fix to the upstream maintainer of aalib
too. Or I can do it for you, but you found it..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #25 received at 221243@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Joey Hess <joeyh@debian.org>
Cc: 221243@bugs.debian.org
Subject: Re: Bug#221243: aalib: typo in aacurkbd.c and aastdin.c
Date: Thu, 20 Nov 2003 18:41:16 +0100
On Wed, Nov 19, 2003, Joey Hess wrote:

> You should send your KEY_MOUDE fix to the upstream maintainer of aalib
> too. Or I can do it for you, but you found it..

   Okay, I'll do it right now.

-- 
Sam.



Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sam Hocevar <sam@zoy.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 221243-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 221243-close@bugs.debian.org
Subject: Bug#221243: fixed in aalib 1.4p5-19
Date: Thu, 20 Nov 2003 16:17:32 -0500
Source: aalib
Source-Version: 1.4p5-19

We believe that the bug you reported is fixed in the latest version of
aalib, which is due to be installed in the Debian FTP archive:

aalib-bin_1.4p5-19_i386.deb
  to pool/main/a/aalib/aalib-bin_1.4p5-19_i386.deb
aalib1-dev_1.4p5-19_i386.deb
  to pool/main/a/aalib/aalib1-dev_1.4p5-19_i386.deb
aalib1_1.4p5-19_i386.deb
  to pool/main/a/aalib/aalib1_1.4p5-19_i386.deb
aalib_1.4p5-19.diff.gz
  to pool/main/a/aalib/aalib_1.4p5-19.diff.gz
aalib_1.4p5-19.dsc
  to pool/main/a/aalib/aalib_1.4p5-19.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 221243@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated aalib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Nov 2003 16:37:04 -0500
Source: aalib
Binary: aalib-bin aalib1 aalib1-dev
Architecture: source i386
Version: 1.4p5-19
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 aalib-bin  - sample programs using aalib
 aalib1     - ascii art library
 aalib1-dev - ascii art library, development kit
Closes: 221243
Changes: 
 aalib (1.4p5-19) unstable; urgency=low
 .
   * Fix KEY_MOUDE/KEY_MOUSE typo. Closes: #221243
   * Build with --with-curses-driver to try to enable ncurses support
     (aalib already links to and depends on ncurses)
Files: 
 c139c073085d2c6884a45633089b9ae3 708 libs optional aalib_1.4p5-19.dsc
 8b1d66b378d0d1ea7c1ad2fb950ffb74 9041 libs optional aalib_1.4p5-19.diff.gz
 fbe3abd1967f389441a31dfbcd8f23d3 140124 libdevel optional aalib1-dev_1.4p5-19_i386.deb
 9360e99713f1f5f4fd6f6931b70e6ba9 56180 libs optional aalib1_1.4p5-19_i386.deb
 fd2b341eae1b29a65e237215d8eaa2c2 10416 text optional aalib-bin_1.4p5-19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/vQqM2tp5zXiKP0wRAhrKAJ4w5jN0g3hw8P9UOwG9eOOMHushRgCfQixa
eLGVIu2u8Fj+XE0E7eD11bY=
=9S0D
-----END PGP SIGNATURE-----




Bug unarchived. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 18 May 2008 02:12:04 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 18 May 2008 02:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to `aalib divergence: use fname not uninitialised tmp in linux_init()' from `aalib: typo in aacurkbd.c and aastdin.c'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 18 May 2008 02:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to `aalib divergence: typo in aacurkbd.c and aastdin.c' from `aalib divergence: use fname not uninitialised tmp in linux_init()'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 18 May 2008 02:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#221243; Package aalib. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #43 received at 221243@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 221243@bugs.debian.org
Subject: patch
Date: Sat, 17 May 2008 22:15:15 -0400
[Message part 1 (text/plain, inline)]
Current patch attached.

-- 
see shy jo
[aalib.mouse.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bart Martens <bartm@knars.be>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sam Hocevar <sam@zoy.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #48 received at 221243-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@knars.be>
To: 221243-done@bugs.debian.org
Subject: aalib divergence: typo in aacurkbd.c and aastdin.c
Date: Sun, 25 May 2008 09:46:45 +0200
[Message part 1 (text/plain, inline)]
This problem was solved in version 1.4p5-36, and according to the
debian/changelog already in version 1.4p5-19.  Joey, let me know if you
had some reason to keep this bug open.

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jun 2008 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:27:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.